Name: smeserver-nginx
Version: 0.0.5
Release: 5%{?dist}
Summary: nginx for Koozali SME Server
License: GPL
Source0: %{name}-%{version}.tar.gz

BuildArch: noarch
BuildRequires: smeserver-devtools
Requires: nginx

%description
nginx for Koozali SME Server, fast scalable webserver with advanced reverse proxy functions

%prep
%setup -q
%autopatch -p1

%build
perl createlinks

%install
rm -rf %{buildroot}
(cd root ; find . -depth -print | cpio -dump %{buildroot})
/sbin/e-smith/genfilelist %{buildroot} > %{name}-%{version}-%{release}-filelist


%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)


%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 0.0.5-5.sme
- Fix e-smith references in smeserver-nginx [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.0.5-4.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Mon Aug 14 2023 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.5-3.sme
- remove nginx restart from post-upgrade [SME: 12397]

* Thu Jun 23 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.5-2.sme
- fix fragment order

* Thu Jun 23 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.5-1.sme
- Initial import to Koozali SME 10

* Fri Mar 09 2018 Markus Neuberger <dev@markusneuberger.at> - 0.0.1-1
- First release
